summaryrefslogtreecommitdiffstats
path: root/network/LimeWire/LimeWire.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/LimeWire/LimeWire.SlackBuild')
-rw-r--r--network/LimeWire/LimeWire.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/network/LimeWire/LimeWire.SlackBuild b/network/LimeWire/LimeWire.SlackBuild
new file mode 100644
index 0000000000..82f611f72e
--- /dev/null
+++ b/network/LimeWire/LimeWire.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+#
+# Slackware build script for limewire
+
+# This script creates a Slackware package from the official zip
+# archive distributed by limewire.com
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=LimeWire
+VERSION=4.12.11
+ARCH=${ARCH:-i686} # Leave this alone for LimeWire
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Exit if the script encounters any errors
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM
+mkdir -p $TMP $PKG/opt $OUTPUT
+cd $TMP
+unzip $CWD/LimeWireOther.zip
+mv $PRGNAM $PKG/opt/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/bin
+cat << "EOF" > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+cd /opt/LimeWire
+./runLime.sh
+EOF
+chmod 0755 $PKG/usr/bin/LimeWire
+
+( cd $PKG/usr/bin
+ ln -s LimeWire limewire
+ cd $PKG/opt
+ ln -s LimeWire-$VERSION LimeWire
+)
+
+# Install desktop file and icon
+install -D -m 0644 $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# Let's not move the docs, but we will add the build script to them
+install -D -m 0644 $CWD/$PRGNAM.SlackBuild \
+ $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cd $PKG/usr/doc/$PRGNAM-$VERSION
+ for FILE in README.txt SOURCE COPYING; do
+ ln -s ../../../opt/$PRGNAM-$VERSION/$FILE $FILE; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz